<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="category"
            type="com.example.qurba.api.models.CategoryModel" />
    </data>

    <LinearLayout
        android:id="@+id/layoutContainer"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="4dp"
        android:background="@drawable/border"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingStart="8dp"
        android:paddingEnd="8dp"
        tools:ignore="UseCompoundDrawables">

        <ImageView
            android:id="@+id/img"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:contentDescription="@string/icon"
            android:tint="@color/colorAccent"
            app:imageURL="@{category.iconUrl}" />

        <TextView
            android:id="@+id/tvName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="8dp"
            android:text="@{category.name.en}" />

    </LinearLayout>

</layout>